using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;

using System.Configuration;

using Quiksoft.EasyMail.SMTP;

namespace Order
{
	/// <summary>
	/// Summary description for Support.
	/// </summary>
	public class Support : System.Web.UI.Page
	{
		protected System.Web.UI.WebControls.TextBox PhoneNumber;
		protected System.Web.UI.WebControls.Label Label7;
		protected System.Web.UI.WebControls.TextBox Name;
		protected System.Web.UI.WebControls.Label Label6;
		protected System.Web.UI.WebControls.TextBox EmailAddress;
		protected System.Web.UI.WebControls.Label Label4;
		protected System.Web.UI.WebControls.DropDownList Item;
		protected System.Web.UI.WebControls.Label Label3;
		protected System.Web.UI.WebControls.TextBox Question;
		protected System.Web.UI.WebControls.Label Label2;
		protected System.Web.UI.WebControls.Label Label8;
		protected System.Web.UI.WebControls.TextBox Incident;
		protected System.Web.UI.WebControls.TextBox SerialNumber;
		protected System.Web.UI.WebControls.Button Button1;
		protected System.Web.UI.WebControls.ImageButton ImageButton1;
		protected System.Web.UI.WebControls.ImageButton ImageButton2;
		protected System.Web.UI.WebControls.ImageButton ImageButton3;
		protected System.Web.UI.WebControls.ImageButton ImageButton4;
		protected System.Web.UI.WebControls.ImageButton ImageButton5;
		protected System.Web.UI.WebControls.ImageButton ImageButton6;
		protected System.Web.UI.WebControls.ImageButton ImageButton7;
		protected System.Web.UI.WebControls.ImageButton ImageButton8;
		protected System.Web.UI.WebControls.ImageButton ImageButton9;
		protected System.Web.UI.WebControls.ImageButton ImageButton10;
		protected System.Web.UI.WebControls.Label Label10;
		protected System.Web.UI.WebControls.Label Label11;
		protected System.Web.UI.WebControls.Label Label12;
		protected System.Web.UI.WebControls.Label Label13;
		protected System.Web.UI.WebControls.TextBox Version;
		protected System.Web.UI.WebControls.Label Label5;
		protected System.Web.UI.WebControls.Label Label14;
		protected System.Web.UI.WebControls.Label Label9;
		protected System.Web.UI.WebControls.Label Label1;
	
		private void Page_Load(object sender, System.EventArgs e)
		{
			//this.Item.SelectedIndex = 5;	//Blues 2006 client
			// Put user code to initialize the page here
		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.ImageButton10.Click += new System.Web.UI.ImageClickEventHandler(this.ImageButton10_Click);
			this.ImageButton8.Click += new System.Web.UI.ImageClickEventHandler(this.ImageButton8_Click);
			this.ImageButton6.Click += new System.Web.UI.ImageClickEventHandler(this.ImageButton6_Click);
			this.ImageButton5.Click += new System.Web.UI.ImageClickEventHandler(this.ImageButton5_Click);
			this.ImageButton4.Click += new System.Web.UI.ImageClickEventHandler(this.ImageButton4_Click);
			this.ImageButton2.Click += new System.Web.UI.ImageClickEventHandler(this.ImageButton2_Click);
			this.Item.SelectedIndexChanged += new System.EventHandler(this.Item_SelectedIndexChanged);
			this.Button1.Click += new System.EventHandler(this.Button1_Click);
			this.ImageButton1.Click += new System.Web.UI.ImageClickEventHandler(this.ImageButton1_Click);
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion

		private void ImageButton1_Click(object sender, System.Web.UI.ImageClickEventArgs e)
		{
		
		}

		private void ImageButton5_Click(object sender, System.Web.UI.ImageClickEventArgs e)
		{
			this.Response.Redirect(ConfigurationSettings.AppSettings["HomeUrl"]);
		
		}

		private void ImageButton2_Click(object sender, System.Web.UI.ImageClickEventArgs e)
		{
			this.Response.Redirect(ConfigurationSettings.AppSettings["ProductsUrl"]);
		}

		private void ImageButton4_Click(object sender, System.Web.UI.ImageClickEventArgs e)
		{
			this.Response.Redirect(ConfigurationSettings.AppSettings["PricingUrl"]);

		}

		private void ImageButton6_Click(object sender, System.Web.UI.ImageClickEventArgs e)
		{
			this.Response.Redirect(ConfigurationSettings.AppSettings["OrderUrl"]);

		}

		private void ImageButton10_Click(object sender, System.Web.UI.ImageClickEventArgs e)
		{
			this.Response.Redirect(ConfigurationSettings.AppSettings["ContactUrl"]);
		
		}

		private void ImageButton8_Click(object sender, System.Web.UI.ImageClickEventArgs e)
		{
			this.Response.Redirect(ConfigurationSettings.AppSettings["SupportUrl"]);

		}

		private void Button1_Click(object sender, System.EventArgs e)
		{
	
			//
			// Validate fields
			//
			if(this.Version.Text.Length < 1)
			{
				this.MessageBoxOk("Please enter your version number or type unknown.");
				return;
			}
			
			if(this.EmailAddress.Text.Length < 1)
			{
				this.MessageBoxOk("Please enter your email address, it is required.");
				return;
			}
			
			if(this.Name.Text.Length < 1)
			{
				this.MessageBoxOk("Please enter your Name");
				return;
			}
			
			if(this.Question.Text.Length < 1)
			{
				this.MessageBoxOk("Please enter your question.");
				return;
			}


			//
			// Submit support request form
			//
			if(this.Incident.Text.Length == 0)
			{
				// Assign an incident number

				this.Incident.Text = String.Format("{0}",DateTime.Now.Ticks);
			}

			//
			// Send an email message to them and us
			//
			string ReplySubject = String.Format("Re[NSI Support Incident {0}]",this.Incident.Text);

			string Body = String.Format("This is an automated reply to your support question.\r\n\r\nYou will receive a response to your question within 24 hours.\r\n\r\nIf you need immediate contact, please call support at 315 896 4131 between 8AM and 5PM EST.\r\n\r\nPlease retain the incident number for future reference.\r\n\r\nYour Question was:\r\n\r\n\"{0}\"\r\n\r\nThank You,\r\n\r\nSupport@newhartsystems.com\r\n",this.Question.Text);
			
			Body += String.Format("\r\n\r\n\r\nProduct: {0}\r\nVersion: {1}\r\nSerial Number:{2}\r\nName: {3}\r\nPhone: {4}\r\n",this.Item.SelectedItem.Text,this.Version.Text,this.SerialNumber.Text,this.Name.Text,this.PhoneNumber.Text);

			this.SendEmail(ConfigurationSettings.AppSettings["EmailSupport"],this.EmailAddress.Text,ReplySubject,Body,null);
			this.SendEmail(this.EmailAddress.Text,ConfigurationSettings.AppSettings["EmailSupport"],ReplySubject,Body,null);

			this.MessageBoxOk("Thank you for your request!  Please check your email periodically for your answer.");
		
		}
	
		static internal protected string SmtpAddress = ConfigurationSettings.AppSettings["SmtpServer"];	//mail.dc1.adelphia.net

		internal bool SendEmail(string From,string To,string Subject,string Body,string AttachedFile)
		{
			bool SendFailed = false;
			Quiksoft.EasyMail.SMTP.SMTP sm = new SMTP();
			Quiksoft.EasyMail.SMTP.EmailMessage ml = new EmailMessage();
			
			
			try
			{
				Quiksoft.EasyMail.SMTP.License.Key = "newhartsystems (Single Developer)/8128517F39914787F411A81610D9A";
 
				ml.From.Email = From;
				ml.Recipients.Add(To);
				ml.Subject = Subject;
				ml.BodyParts.Add(Body);
				sm.SMTPServers.Add(SmtpAddress);

				if(AttachedFile != null)
					ml.Attachments.Add(AttachedFile);


				//				ml.Attachments.Add(this.Package);


				//				sm.LogFile = "c:\\SMTPLOG";
				sm.Send(ml);
				
				SendFailed = false;
			}
			catch(Exception X)
			{
				string Err = String.Format("We have encountered an error trying to process your order : {0}, please call us at 315 896 4131 between 8AM and 5PM EST",X.Message);
				this.MessageBoxOk(Err);

				
				if(SendFailed)
				{
					try
					{
						//
						// Create a log file
						//
						//						File.Delete("c:\\SMTPLOG",false);
						//						sm.LogFile = "c:\\SMTPLOG";
						//						sm.Send(ml);
					}
					catch
					{
					}

				}
				//				MessageBox.Show(String.Format(GetLangMessage("STR_EMAIL_FAILED"),X.Message),"Blues");
				//				MessageBox.Show(GetLangMessage("STR_NOUSER_IN_DB"),"Blues");
			}
			if(SendFailed)
				return(false);
			else
				return(true);

		}
	
	
		internal void MessageBoxOk(string Msg)
		{
			
			Response.Write("<script type='text/javascript'>alert('" + Msg +"');</script>");			
			Response.Flush();
			return;

		}

		private void Item_SelectedIndexChanged(object sender, System.EventArgs e)
		{
		
		}
	
	
	}
}
